App Group Push API

Last updated:2022-08-09
App Group Push API

Request URL

POST https://api.jpush.cn/v3/grouppush

Feature Description

This API is used to create pushes for app groups created by developers in the portal.

  • The override_msg_id attribute in option is not supported for now. Group push supports scheduled sending only on the official website, and scheduled sending is not supported when calling the Schedule API.
  • On 2020-08-11, this API added the group_msgid field in the response. It uniquely identifies this group push request and can be used later for group push statistics.

Request Authentication

Jiguang REST API uses HTTP Basic Authentication.

The basic method is to add Authorization to the HTTP Header:

Authorization: Basic ${base64_auth_string}

The generation algorithm for base64_auth_string is: base64(username:password)

  • The header name is "Authorization", and the value is the Base64-converted "username:password" pair, separated by a colon.
  • In the group push API scenario, username is the "group-" prefix plus GroupKey, and password is the Group Master Secret. Both can be viewed in the console under [Group Management] - [Settings].

Request Example

Parameters are the same as the Push API.

curl --insecure -X POST -v https://api.jpush.cn/v3/grouppush -H "Content-Type: application/json" -u "group-e4c938578ee598be517a2243:71d1dc4dae126674ed386b7b" -d '{ "platform": [ "android" ], "audience": "all", "notification": { "android": { "alert": "notification content", "title": "notification title" } }, "message": { "msg_content": "message content" } }'
          curl --insecure -X POST -v https://api.jpush.cn/v3/grouppush -H "Content-Type: application/json" -u "group-e4c938578ee598be517a2243:71d1dc4dae126674ed386b7b" -d '{
 "platform": [
 "android"
 ],
 "audience": "all",
 "notification": {
 "android": {
 "alert": "notification content",
 "title": "notification title"
 }
 },
 "message": {
 "msg_content": "message content"
 }
}'

        
This code block is shown in the floating window

Response Example

{ "0c3de43c6a6b68c9f4261b06": { "msg_id": "18100286953954624", "sendno": "0" }, "35c424abde12f475566ca8af": { "msg_id": "18100286970107989", "sendno": "0" }, "8f02a4fa717a6235734d92de": { "msg_id": "18100286967221849", "sendno": "0" }, "group_msgid": "cbou2uum98lps87rtic0" }
          {
 "0c3de43c6a6b68c9f4261b06": {
 "msg_id": "18100286953954624",
 "sendno": "0"
 },
 "35c424abde12f475566ca8af": {
 "msg_id": "18100286970107989",
 "sendno": "0"
 },
 "8f02a4fa717a6235734d92de": {
 "msg_id": "18100286967221849",
 "sendno": "0"
 },
 "group_msgid": "cbou2uum98lps87rtic0"
}

        
This code block is shown in the floating window

Response

For details, see Push API.

Call Limits

  • The above API ultimately calls the Push API v3 interface, so it also consumes Push API v3 request frequency.
Was this document helpful?

Copyright 2011-2026, jiguang.cn, All Rights Reserved. 粤ICP备12056275号-13 Shenzhen Hexun Huagu Information Technology Co., Ltd.

Open in Docs Center